--- old/usr/src/cmd/hwdata/usb.ids	2013-06-23 14:18:31.715406328 +0200
+++ new/usr/src/cmd/hwdata/usb.ids	2013-06-23 14:18:31.728096504 +0200
@@ -4170,8 +4385,10 @@
 	0100  Kingston Flash Drive (128MB)
 	0110  Connect3D Flash Drive
 	0111  Connect3D Flash Drive
+	0300  E2530 Phone (Mass storage mode)
 	1003  MP3 Player and Recorder
 	1006  SDC-200Z
+	130c  NX100
 	1f06  HX-MU064DA portable harddisk
 	2018  WIS09ABGN LinkStick Wireless LAN Adapter
 	2035  Digital Photo Frame Mass Storage
@@ -4213,6 +4430,10 @@
 	3292  ML-1640 Series Laser Printer
 	3296  ML-2580N Mono Laser Printer
 	3297  ML-191x/ML-252x Laser Printer
+	329f  CLP-325 Color Laser Printer
+	330c  ML-1865
+	3310  ML-331x Series Laser Printer
+	3315  ML-2540 Series Laser Printer
 	3409  SCX-4216F Scanner
 	340c  SCX-5x15 series
 	340d  SCX-6x20 series
@@ -4229,6 +4450,7 @@
 	341f  Composite Device
 	3420  Composite Device
 	3426  SCX-4500 Laser Printer
+	344f  SCX-3400 Series
 	3605  InkJet Color Printer
 	3606  InkJet Color Printer
 	3609  InkJet Color Printer
@@ -4321,6 +4543,7 @@
 	663e  D900e Phone
 	663f  SGH-E720/SGH-E840
 	6640  Usb Modem Enumerator
+	6651  i8510 Innov8
 	6702  X830
 	6708  U600 Phone
 	6709  U600
@@ -4335,10 +4558,15 @@
 	6807  Composite HSPA device
 	681c  Galaxy Portal/Spica/S
 	681d  Galaxy Portal/Spica Android Phone
+	6843  E2530 Phone (Samsung Kies mode)
 	684e  Wave (GT-S8500)
 	685b  GT-I9100 Phone [Galaxy S II] (mass storage mode)
+	685c  GT-I9250 Phone [Galaxy Nexus]
+	685d  GT-I9100 Phone [Galaxy S II] (Download mode)
 	685e  GT-I9100 Phone [Galaxy S II] (USB Debugging mode)
-	6860  GT-I9100 Phone [Galaxy S II], GT-P7500 [Galaxy Tab 10.1]
+	6860  GT-I9100 Phone [Galaxy S II], GT-I9300 Phone [Galaxy S III], GT-P7500 [Galaxy Tab 10.1]
+	6865  GT-I9300 Phone [Galaxy S III] (PTP mode)
+	6866  GT-I9300 Phone [Galaxy S III] (debugging mode)
 	6875  GT-B3710 Standalone LTE device (Commercial)
 	6876  GT-B3710 LTE Modem
 	6877  Galaxy S
@@ -4356,6 +4584,7 @@
 	e020  SERI E02 SCOM 6200 UMTS Phone
 	e021  SERI E02 SCOM 6200 Virtual UARTs
 	e022  SERI E02 SCOM 6200 Flash Load Disk
+	f000  Intensity 3 (Mass Storage Mode)
 	ff30  SG_iMON
 04e9  PC-Tel, Inc.
 04ea  Brooktree Corp.
@@ -4382,12 +4611,14 @@
 	0111  KU-9908 Keyboard
 	0112  KU-8933 Keyboard with PS/2 Mouse port
 	0116  KU-2971/KU-0325 Keyboard
+	0200  KBR-0108
 	0201  Gaming Keyboard KPD0250
 	0220  Wireless HID Receiver
 	0402  Genius LuxeMate i200 Keyboard
 	0403  KU-0420 keyboard
 	0418  KU-0418 Tactical Pad
 	0760  Acer KU-0760 Keyboard
+	0841  HP Multimedia Keyboard
 	0860  2.4G Multimedia Wireless Kit
 	a001  E-Video DC-100 Camera
 	a120  ORITE CCD Webcam(PC370R)
@@ -4429,26 +4660,34 @@
 	b104  CNF7069 Webcam
 	b107  CNF7070 Webcam
 	b14c  CNF8050 Webcam
+	b15c  Sony Vaio Integrated Camera
 	b175  4-Port Hub
 	b1aa  Webcam-101
 	b1b4  Lenovo Integrated Camera
 	b1b9  Asus Integrated Webcam
 	b1cf  Lenovo Integrated Camera
+	b1d6  CNF9055 Toshiba Webcam
+	b213  Fujitsu Integrated Camera
 	b217  Lenovo Integrated Camera (0.3MP)
 	b221  integrated camera
 	b230  Integrated HP HD Webcam
 	b257  Lenovo Integrated Camera
 	b26b  Sony Visual Communication Camera
 	b272  Lenovo EasyCamera
+	b2b0  Camera
 	b2b9  Lenovo Integrated Camera UVC
+	b2ea  Integrated Camera [ThinkPad]
+	b330  Asus 720p CMOS webcam
 04f3  Elan Microelectronics Corp.
+	0103  ActiveJet K-2024 Multimedia Keyboard
 	01a4  Wireless Keyboard
-	0210  AM-400 Hama Optical Mouse
+	0210  Optical Mouse
 	0212  Laser Mouse
 	0214  Lynx M9 Optical Mouse
 	0230  3D Optical Mouse
 	0232  Mouse
 	02f4  2.4G Cordless Mouse
+	04a0  Dream Cheeky Stress/Panic Button
 04f4  Harting Elektronik, Inc.
 04f5  Fujitsu-ICL Systems, Inc.
 04f6  Norand Corp.
@@ -4493,6 +4732,7 @@
 	002c  Printer
 	002d  Printer
 	0039  HL-5340 series
+	0042  HL-2270DW Laser Printer
 	0100  MFC8600/9650 series
 	0101  MFC9600/9870 series
 	0102  MFC9750/1200 series
@@ -4644,6 +4884,7 @@
 	01eb  MFC-7320
 	01f4  MFC-5890CN
 	0223  DCP-365CN
+	0248  DCP-7055 scanner/printer
 	1000  Printer
 	1002  Printer
 	2002  PTUSB Printing
@@ -4665,6 +4906,7 @@
 	0015  ViewMate Desktop Mouse CC2201
 	00d3  00052486 / Laser Mouse M1052 [hama]
 	0171  SPCA1527A/SPCA1528 SD card camera (Mass Storage mode)
+	0201  RS232C Adapter
 	0232  Fingerprint
 	0538  Wireless Optical Mouse 2.4G [Bright]
 	0561  Flexcam 100
@@ -4703,6 +4945,7 @@
 	16e3  n30 Handheld Sync
 	3202  Liquid
 	3203  Liquid (Debug mode)
+	3317  Liquid
 	3325  Iconia tablet A500
 	3341  Iconia tablet A500
 	d001  Divio NW801/DVC-V6+ Digital Camera
@@ -4773,7 +5016,7 @@
 	0307  USB 2.0 - 7 ports Hub [FSU307]
 	0409  F5U409 Serial
 	0551  F6C550-AVR UPS
-	0706  2-N-1 USB 2.0 7-Port Hub (Lower half)
+	0706  2-N-1 7-Port Hub (Lower half)
 	0802  Nostromo n40 Gamepad
 	0803  Nostromo 1745 GamePad
 	0805  Nostromo N50 GamePad
@@ -4783,9 +5026,11 @@
 	1004  F9L1004 802.11n Surf N300 XR Wireless Adapter [Realtek RTL8192CU]
 	1102  F7D1102 N150/Surf Micro Wireless Adapter v1000 [Realtek RTL8188CUS]
 	1103  F9L1103 N750 DB 802.11abgn 2x3:3 [Ralink RT3573]
+	11f2  ISY Wireless Micro Adapter IWL 2000 [RTL8188CUS]
 	1202  F5U120-PC Parallel Printer Port
 	1203  F5U120-PC Serial Port
 	2103  F7D2102 802.11n N300 Micro Wireless Adapter v3000 [Realtek RTL8192CU]
+	21f1  N300 WLAN N Adapter [ISY]
 	258a  F5U258 Host to Host cable
 	3101  F1DF102U/F1DG102U Flip Hub
 	3201  F1DF102U/F1DG102U Flip KVM
@@ -4800,7 +5045,7 @@
 	705b  Wireless G Adapter
 	705c  F5D7050 Wireless G Adapter v4000 [Zydas ZD1211B]
 	705e  F5D7050 Wireless G Adapter v5000 [Realtek RTL8187B]
-	706a  2-N-1 USB 2.0 7-Port Hub (Lower half)
+	706a  2-N-1 7-Port Hub (Upper half)
 	8053  F5D8053 N Wireless USB Adapter v1000/v4000 [Ralink RT2870]
 	805c  F5D8053 N Wireless Adapter v3000 [Ralink RT2870]
 	805e  F5D8053 N Wireless USB Adapter v5000 [Realtek RTL8192U]
@@ -4815,7 +5060,7 @@
 	935b  F6D4050 N150 Enhanced Wireless Network Adapter v2000 [Ralink RT3070]
 	945a  F7D1101 v1 Basic Wireless Adapter [Realtek RTL8188SU]
 	945b  F7D1101 v2 Basic Wireless Adapter [Ralink RT3370]
-	d321  Dynex DX-NUSB 802.11bgn Wireless Adapter
+	d321  Dynex DX-NUSB 802.11bgn Wireless Adapter [Broadcom BCM43231]
 050e  Neon Technology, Inc.
 050f  KC Technology, Inc.
 	0001  Hub
@@ -4827,6 +5072,7 @@
 	1000  Keyboard with PS/2 Mouse Port
 	e001  Mouse
 0511  N'Able (DataBook) Technologies, Inc.
+	002b  AOC DVB
 0512  Hualon Microelectronics Corp.
 0513  digital-X, Inc.
 0514  FCI Electronics
@@ -4903,6 +5149,7 @@
 	050c  eToken Pro v4.1.5.x
 	0514  eToken Pro v4.2.5.4
 	0600  eToken Pro 64k (4.2)
+	0620  Token JC
 052a  Crescent Heart Software
 052b  Tekom Technologies, Inc.
 	0102  Ca508A HP1020 Camera v.1.3.1.6
@@ -5019,7 +5266,7 @@
 	002b  Portable USB Harddrive V2
 	002c  USB Floppy Disk Drive
 	002d  MSAC-US1 MemoryStick Reader
-	002e  Sony HandyCam MemoryStick Reader
+	002e  HandyCam MemoryStick Reader
 	0030  Storage Adapter V2 (TPP)
 	0032  MemoryStick MSC-U01 Reader
 	0035  Network Walkman (E)
@@ -5052,7 +5299,7 @@
 	0085  Net MD
 	0086  Net MD
 	008b  Micro Vault 64M Mass Storage
-	0095  Sony Clie s360
+	0095  Clie s360
 	0099  Clie NR70 PDA Mass Storage
 	009a  Clie NR70 PDA Serial
 	00ab  Visual Communication Camera (PCGA-UVC10)
@@ -5065,7 +5312,7 @@
 	00c9  Net MD
 	00ca  MZ-DN430 Minidisc Walkman
 	00cb  MSAC-US20 Memory Stick Reader
-	00da  Sony Clie nx60
+	00da  Clie nx60
 	00e8  Network Walkman (MS)
 	00e9  Handheld
 	00eb  Net MD
@@ -5116,7 +5363,7 @@
 	01e9  Net MD
 	01ea  Hi-MD WALKMAN
 	01ee  IC RECORDER
-	01fa  Sony IC Recorder (P)
+	01fa  IC Recorder (P)
 	01fb  NW-E405 Network Walkman
 	020f  Device
 	0210  ATRAC HDD PA
@@ -5161,19 +5408,22 @@
 	0317  WALKMAN
 	031a  Walkman NWD-B103F
 	031e  PRS-300/PRS-505 eBook reader
-	033e  DSC-W120
+	0325  NWZ-A818
+	033e  DSC-W120/W290
 	0346  Handycam DCR-SR55E
 	0348  HandyCam HDR-TG3E
 	035b  Walkman NWZ-A828
 	035c  NWZ-A726/A728/A729
 	0382  Memory Stick PRO-HG Duo Adaptor (MSAC-UAH1)
 	0385  Walkman NWZ-E436F
-	0387  Sony IC Recorder (P)
+	0387  IC Recorder (P)
 	03bc  Webbie HD - MHS-CM1
+	03d1  DPF-X95
 	03d3  DR-BT100CX
 	03d5  PlayStation Move motion controller
 	03fc  WALKMAN [NWZ-E345]
 	03fd  Walkman NWZ-E443
+	042f  PlayStation Move navigation controller
 	0440  DSC-H55
 	0485  MHS-PM5 HD camcorder
 	04cb  WALKMAN NWZ-E354
@@ -5196,7 +5446,7 @@
 	0151  Digital Blue QX5 Microscope
 	0200  Dual-mode Camera0
 	0201  Dual-mode Camera1
-	0202  Aiptek PenCam 1
+	0202  STV0680 Camera
 	0674  Multi-mode Camera
 	0679  NMS Video Camera (Webcam)
 	1002  Che-ez! Splash
@@ -5326,6 +5576,7 @@
 	2801  MIC K/B Mouse
 	2802  Kbd Hub
 	3004  Genius KB-29E
+	3107  Keyboard
 0567  Xyratex International, Ltd
 0568  Quartz Ingenierie
 0569  SegaSoft
@@ -5341,7 +5592,7 @@
 	0014  Graphire 3 6x8
 	0015  Graphire 4 4x5
 	0016  Graphire 4 6x8
-	0017  Bamboo Fun 4x5
+	0017  CTE-450 [Bamboo Fun]
 	0018  Bamboo Fun 6x8
 	0019  Bamboo One Medium
 	0020  Intuos 4x5
@@ -5349,6 +5600,11 @@
 	0022  Intuos 9x12
 	0023  Intuos 12x12
 	0024  Intuos 12x18
+	0026  Intuos5 touch S
+	0027  Intuos5 touch M
+	0028  Intuos5 touch L
+	0029  Intuos5 S
+	002a  Intuos5 M
 	0030  PL400
 	0031  PL500
 	0032  PL600
@@ -5358,7 +5614,7 @@
 	0037  PL700
 	0038  PL510
 	0039  DTU-710
-	003f  Cintiq 21UX
+	003f  Cintiq 21UX (DTZ-2100)
 	0041  Intuos2 4x5
 	0042  Intuos2 6x8
 	0043  Intuos2 9x12
@@ -5392,9 +5648,14 @@
 	00c5  Cintiq 20WSX
 	00c6  Cintiq 12WX
 	00c7  DTU-1931
+	00cc  Cintiq 21UX (DTK-2100)
 	00d1  Bamboo Pen & Touch (CTH-460-DE)
 	00d3  Bamboo Fun (CTH-661)
+	00d6  Bamboo Pen & Touch (CTH-460)
 	00db  Bamboo Fun (CTH-661SE-NL)
+	00dd  Bamboo Pen (CTL-470)
+	00f6  Cintiq 24HD touch (DTH-2400) touchscreen
+	00f8  Cintiq 24HD touch (DTH-2400) tablet
 	0400  PenPartner 4x5
 	4850  PenPartner 6x8
 056b  Decicon, Inc.
@@ -5443,6 +5704,7 @@
 	262a  tm5600 Video & Audio Grabber Capture
 	8390  WinFast PalmTop/Novo TV Video
 	8392  WinFast PalmTop/Novo TV Video
+	cafc  CX861xx ROM Boot Loader
 	cafe  AccessRunner ADSL Modem
 	cb00  ADSL Modem
 	cb01  ADSL Modem
@@ -5562,14 +5824,14 @@
 0580  Denron, Inc.
 0581  Racal Data Group
 0582  Roland Corp.
-	0000  UA-100
+	0000  UA-100(G)
 	0002  UM-4/MPU-64 MIDI Interface
 	0003  SoundCanvas SC-8850
 	0004  U-8
-	0005  Edirol UM-2 MIDI Adapter
+	0005  UM-2(C/EX)
 	0007  SoundCanvas SC-8820
 	0008  PC-300
-	0009  Edirol UM-1SX MIDI Adapter
+	0009  UM-1(E/S/X)
 	000b  SK-500
 	000c  SC-D70
 	0010  EDIROL UA-5
@@ -5601,6 +5863,7 @@
 	0030  VariOS
 	0033  EDIROL PCR
 	0034  EDIROL PCR
+	0035  M-1000
 	0037  Digital Piano
 	0038  Digital Piano
 	003b  BOSS GS-10
@@ -5640,6 +5903,8 @@
 	007d  EDIROL UA-101
 	0080  G-70
 	0081  G-70
+	0084  V-SYNTH XT
+	0089  BOSS GT-PRO
 	008b  EDIROL PC-50
 	008c  EDIROL PC-50
 	008d  EDIROL UA-101 USB1
@@ -5648,17 +5913,80 @@
 	0096  EDIROL UA-1EX
 	009a  EDIROL UM-3EX
 	009d  EDIROL UM-1
+	00a0  MD-P1
 	00a2  Digital Piano
 	00a3  EDIROL UA-4FX
 	00a6  Juno-G
+	00a9  MC-808
 	00ad  SH-201
+	00b2  VG-99
+	00b3  VG-99
+	00b7  BK-7m/VIMA JM-5/8
+	00c2  SonicCell
 	00c4  EDIROL M-16DX
+	00c5  SP-555
+	00c7  V-Synth GT
+	00d1  Music Atelier
+	00d3  M-380/400
+	00da  BOSS GT-10
 	00db  BOSS GT-10 Guitar Effects Processor
-	00de  Fantom-G7
+	00dc  BOSS GT-10B
+	00de  Fantom G
 	00e6  EDIROL UA-25EX (Advanced mode)
 	00e7  EDIROL UA-25EX
+	00e9  UA-1G
+	00eb  VS-100
+	00f6  GW-8/AX-Synth
+	00f8  JUNO Series
+	00fc  VS-700C
+	00fd  VS-700
+	00fe  VS-700 M1
+	00ff  VS-700 M2
+	0100  VS-700
+	0101  VS-700 M2
+	0102  VB-99
+	0104  UM-1G
+	0106  UM-2G
+	0108  UM-3G
+	0109  eBand JS-8
+	010d  A-500S
 	010f  A-PRO
 	0110  A-PRO
+	0111  GAIA SH-01
+	0113  ME-25
+	0114  SD-50
+	0116  WAVE/MP3 RECORDER R-05
+	0117  VS-20
+	0119  OCTAPAD SPD-30
+	011c  Lucina AX-09
+	011e  BR-800
+	0120  OCTA-CAPTURE
+	0121  OCTA-CAPTURE
+	0123  JUNO-Gi
+	0124  M-300
+	0127  GR-55
+	012a  UM-ONE
+	012b  DUO-CAPTURE
+	012f  QUAD-CAPTURE
+	0130  MICRO BR BR-80
+	0132  TRI-CAPTURE
+	0134  V-Mixer
+	0138  Boss RC-300 (Audio mode)
+	0139  Boss RC-300 (Storage mode)
+	013a  JUPITER-80
+	013e  R-26
+	0145  SPD-SX
+	014b  eBand JS-10
+	014d  GT-100
+	0150  TD-15
+	0151  TD-11
+	0154  JUPITER-50
+	0156  A-Series
+	0158  TD-30
+	0159  DUO-CAPTURE EX
+	015b  INTEGRA-7
+	015d  R-88
+	0505  EDIROL UA-101
 0583  Padix Co., Ltd (Rockfire)
 	0001  4 Axis 12 button +POV
 	0002  4 Axis 12 button +POV
@@ -5777,6 +6105,7 @@
 0589  Victron
 058a  Nohau Corp.
 058b  Infineon Technologies
+	001c  Flash Drive
 058c  In Focus Systems
 	0007  Flash
 	0008  LP130
@@ -5797,6 +6126,7 @@
 	001d  Projector
 	001e  Projector
 	001f  Projector
+	ffe5  IN34 Projector
 058d  Micrel Semiconductor
 058e  Tripath Technology, Inc.
 058f  Alcor Micro Corp.
@@ -5843,7 +6173,7 @@
 0590  Omron Corp.
 	0004  Cable Modem
 	000b  MR56SVS
-	0028  HJ-720IT Pedometer / Blood Pressure Monitor HEM-7080IT-E
+	0028  HJ-720IT / HEM-7080IT-E / HEM-790IT
 0591  Questra Consulting
 0592  Powerware Corp.
 	0002  UPS (X-Slot)
@@ -5874,6 +6204,7 @@
 	0042  Rev 70 GB
 	0050  Zip CD 650 Writer
 	0053  CDRW55292EXT CD-RW External Drive
+	0056  External CD-RW Drive Enclosure
 	0057  Mass Storage Device
 	005d  Mass Storage Device
 	005f  CDRW64892EXT3-C CD-RW 52x24x52x External Drive
@@ -5897,9 +6228,11 @@
 	017c  HDD/1394B
 	0251  Optical
 	0252  Optical
+	0278  LDHD-UPS [Professional Desktop Hard Drive eSATA / USB2.0]
 	027a  LPHD250-U [Portable Hard Drive Silver Series 250 Go]
 	0470  Prestige Portable Hard Drive
 	047a  Select Portable Hard Drive
+	0571  Prestige Portable Hard Drive
 	0579  eGo Portable Hard Drive
 	1052  DVD+RW External Drive
 059c  A-Trend Technology Co., Ltd
@@ -5921,6 +6254,7 @@
 	1027  iamaKey V2
 	102a  Rikiki Hard Drive
 	1049  rikiki Harddrive
+	1052  P'9220 Mobile Drive
 	a601  HardDrive
 	a602  CD R/W
 05a0  Vetronix Corp.
@@ -5929,11 +6263,13 @@
 05a3  ARC International
 	8388  Marvell 88W8388 802.11a/b/g WLAN
 05a4  Ortek Technology, Inc.
+	1000  WKB-1000S Wireless Ergo Keyboard with Touchpad
 	2000  WKB-2000 Wireless Keyboard with Touchpad
 	9720  Keyboard Mouse
 	9722  Keyboard
 	9731  MCK-600W/MCK-800USB Keyboard
 	9783  Wireless Keypad
+	9881  IR receiver [VRC-1100 Vista MCE Remote Control]
 05a5  Sampo Technology Corp.
 05a6  Cisco Systems, Inc.
 	0001  CVA124 Cable Voice Adapter (WDM)
@@ -6026,23 +6362,28 @@
 	0245  Internal Keyboard/Trackpad (ANSI)
 	0246  Internal Keyboard/Trackpad (ISO)
 	0247  Internal Keyboard/Trackpad (JIS)
-	0250  MP110Z/B
+	024a  Internal Keyboard/Trackpad (MacBook Air) (ISO)
+	024d  Internal Keyboard/Trackpad (MacBook Air) (ISO)
+	0250  Aluminium Keyboard (ISO)
 	0252  Internal Keyboard/Trackpad (ANSI)
 	0253  Internal Keyboard/Trackpad (ISO)
 	0254  Internal Keyboard/Trackpad (JIS)
+	0263  Apple Internal Keyboard / Trackpad (MacBook Retina)
 	0301  USB Mouse [Mitsumi, M4848]
 	0302  Optical Mouse [Fujitsu]
 	0304  Optical USB Mouse [Mitsumi]
 	0306  Optical USB Mouse [Fujitsu]
 	030a  Internal Trackpad
 	030b  Internal Trackpad
-	030e  Wireless Trackpad [Magic Trackpad]
+	030d  Magic Mouse
+	030e  MC380Z/A [Magic Trackpad]
 	1000  Bluetooth HCI MacBookPro (HID mode)
 	1001  Keyboard Hub [ALPS]
 	1002  Extended Keyboard Hub [Mitsumi]
 	1003  Hub in Pro Keyboard [Mitsumi, A1048]
 	1006  Hub in Aluminum Keyboard
 	1101  Speakers
+	1105  Audio in LED Cinema Display
 	1107  Thunderbolt Display Audio
 	1201  3G iPod
 	1202  iPod 2G
@@ -6085,33 +6426,46 @@
 	129f  iPad 2
 	12a0  iPhone 4S
 	12a2  iPad 2 (3G; 64GB)
+	12a6  iPad 3 (3G, 16 GB)
+	12a9  iPad 2
+	12aa  iPod Touch 5.Gen [A1421]
 	1300  iPod Shuffle
 	1301  iPod Shuffle 2.Gen
 	1302  iPod Shuffle 3.Gen
 	1303  iPod Shuffle 4.Gen
 	1401  Modem
 	1402  Ethernet Adapter [A1277]
+	1500  SuperDrive [A1379]
 	8202  HCF V.90 Data/Fax Modem
 	8203  Bluetooth HCI
-	8204  Bluetooth HCI [Bluetooth 2.0 + EDR, built-in]
+	8204  Built-in Bluetooth 2.0+EDR HCI
 	8205  Bluetooth HCI
 	8206  Bluetooth HCI
+	820a  Bluetooth HID Keyboard
+	820b  Bluetooth HID Mouse
 	820f  Bluetooth HCI
-	8215  Bluetooth USB Host Controller
+	8213  Bluetooth Host Controller
+	8215  Built-in Bluetooth 2.0+EDR HCI
 	8216  Bluetooth USB Host Controller
 	8217  Bluetooth USB Host Controller
 	8218  Bluetooth Host Controller
 	821a  Bluetooth Host Controller
-	8240  IR Receiver [built-in]
-	8241  IR Receiver [built-in]
-	8242  IR Receiver [built-in]
+	821f  Built-in Bluetooth 2.0+EDR HCI
+	8240  Built-in IR Receiver
+	8241  Built-in IR Receiver
+	8242  Built-in IR Receiver
+	8286  Bluetooth Host Controller
 	8300  Built-in iSight (no firmware loaded)
 	8403  Internal Memory Card Reader
+	8404  Internal Memory Card Reader
 	8501  Built-in iSight [Micron]
 	8502  Built-in iSight
 	8505  Built-in iSight
 	8507  Built-in iSight
+	8508  iSight in LED Cinema Display
 	8509  FaceTime HD Camera
+	850a  FaceTime Camera
+	8510  FaceTime HD Camera (Built-in)
 	911c  Hub in A1082 [Cinema HD Display 23"]
 	912f  Hub in 30" Cinema Display
 	9215  Studio Display 15"
@@ -6121,6 +6475,7 @@
 	921c  A1082 [Cinema HD Display 23"]
 	921e  Cinema Display 24"
 	9221  30" Cinema Display
+	9226  LED Cinema Display
 	9227  Thunderbolt Display
 	9232  Cinema HD Display 30"
 	ffff  Bluetooth in DFU mode - Driver
@@ -6176,6 +6531,7 @@
 	9002  Gobi Wireless Modem
 	9008  Gobi Wireless Modem (QDL mode)
 	9018  Qualcomm HSUSB Device
+	9025  Qualcomm HSUSB Device
 	9201  Gobi Wireless Modem (QDL mode)
 	9202  Gobi Wireless Modem
 	9203  Gobi Wireless Modem
@@ -6474,9 +6830,11 @@
 	a731  JumpDrive FireFly
 	a790  JumpDrive 2GB
 	a811  16GB Gizmo!
+	a813  16gB flash thumb drive
 	b002  USB CF Reader
 	b018  Multi-Card Reader
 	b047  SDHC Reader [RW047-7000]
+	c753  JumpDrive TwistTurn
 05dd  Delta Electronics, Inc.
 	ff31  AWU-120
 	ff32  FriendlyNET AeroLAN AL2011
@@ -6499,6 +6857,7 @@
 	0892  STK013 Camera
 	0895  STK016 Camera
 	0896  STK017 Camera
+	2010  ARCTIC Sound P261 Headphones
 05e2  ElecVision, Inc.
 05e3  Genesys Logic, Inc.
 	000a  Keyboard with PS/2 Port
@@ -6520,7 +6879,7 @@
 	0503  Webcam
 	0504  HID Keyboard Filter
 	0604  USB 1.1 Hub
-	0605  USB 2.0 Hub [ednet]
+	0605  USB 2.0 Hub
 	0606  USB 2.0 Hub / D-Link DUB-H4 USB 2.0 Hub
 	0607  Logitech G110 Hub
 	0608  USB-2.0 4-Port HUB
@@ -6551,6 +6910,7 @@
 	0723  GL827L SD/MMC/MS Flash Card Reader
 	0726  SD Card Reader
 	0727  microSD Reader/Writer
+	0736  microSD Reader/Writer
 	0760  USB 2.0 Card Reader/Writer
 	0761  Genesys Mass Storage Device
 	0780  USBFS DFU Adapter
@@ -6600,8 +6960,10 @@
 05f6  AOC International
 05f7  RFC Distribution(s) PTE, Ltd
 05f9  PSC Scanning, Inc.
-	2206  Gryphon Barcode Scanner
+	1104  Magellan 2200VS
+	2206  Datalogic Gryphon GFS4170
 	2602  Datalogic Magellan 1100i Barcode Scanner
+	5204  Datalogic Gryphon GFS4170 (config mode)
 05fa  Siemens Telecommunications Systems, Ltd
 	3301  Keyboard with PS/2 Mouse Port
 	3302  Keyboard
@@ -6658,6 +7020,7 @@
 	6001  SolidTek USB 2p HUB
 	6002  SolidTek USB Keyboard
 	6003  Japanese Keyboard - 600HM
+	6231  Thermaltake eSPORTS Meka Keyboard
 	8007  P-W1G1F12 VER:1 [Macally MegaCam]
 	a001  Maxwell Compact Pc PM3
 060c  EEH Datalink GmbH
@@ -6703,6 +7066,8 @@
 0623  Littelfuse, Inc.
 0624  Avocent Corp.
 	0294  Dell 03R874 KVM dongle
+	0402  Cisco Virtual Keyboard and Mouse
+	0403  Cisco Virtual Mass Storage
 0625  TiMedia Technology Co., Ltd
 0626  Nippon Systems Development Co., Ltd
 0627  Adomax Technology Co., Ltd
@@ -6786,14 +7151,17 @@
 	a102  Acer/Lenovo Webcam [CN0316]
 	a103  Acer/HP Integrated Webcam [CN0314]
 	a110  HP Webcam
+	a114  Lemote Webcam
 	a136  Asus Integrated Webcam [CN031B]
 	a219  1.3M WebCam (notebook emachines E730, Acer sub-brand)
 	c107  HP webcam [dv6-1190en]
 	d101  Acer CrystalEye Webcam
 	e201  Lenovo Integrated Webcam
 	e203  Lenovo Integrated Webcam
+	e258  HP TrueVision HD Integrated Webcam
 	f102  Lenovo Integrated Webcam [R5U877]
 	f103  Lenovo Integrated Webcam [R5U877]
+	f300  UVC 0.3M Webcam
 064f  WIBU-Systems AG
 	03e9  CmStick (article no. 1001)
 	03f2  CmStick/M (article no. 1010)
@@ -6815,7 +7183,8 @@
 0658  Sigma Designs, Inc.
 0659  Aethra
 065a  Optoelectronics Co., Ltd
-	0001  Barcode scanner
+	0001  Barcode scanner / NLV-1001 (keyboard mode)
+	0009  NLV-1001 (serial mode) / OPN-2001 [Opticon]
 065b  Tracewell Systems
 065e  Silicon Graphics
 065f  Good Way Technology Co., Ltd & GWC technology Inc.
@@ -6960,6 +7329,7 @@
 	8230  MP3 Player
 	829c  MP3 Player
 	82e0  MP3 Player
+	8320  TrekStor i.Beat fun
 	835d  MP3 Player
 	9000  MP3 Player
 	9001  MP3 Player
@@ -6989,6 +7359,7 @@
 	0001  PL2302 USB-USB Bridge
 	0307  Motorola Serial Adapter
 	04bb  PL2303 Serial (IODATA USB-RSAQ2)
+	0600  IDE Bridge
 	0610  Onext EG210U MODEM
 	0611  AlDiga AL-11U Quad-band GSM/GPRS/EDGE modem
 	2303  PL2303 Serial Port
@@ -7000,9 +7371,11 @@
 	2316  Flash Disk Security Device
 	2317  Mass Storage Device
 	2501  PL2501 USB-USB Bridge (USB 2.0)
+	2506  Kaser 8gB micro hard drive
 	2507  PL2507 Hi-speed USB to IDE bridge controller
 	2515  Flash Disk Embedded Hub
 	2517  Flash Disk Mass Storage Device
+	2528  Storage device (8gB thumb drive)
 	25a1  PL25A1 Host-Host Bridge
 	3400  Hi-Speed Flash Disk with TruePrint AES3400
 	3500  Hi-Speed Flash Disk with TruePrint AES3500
@@ -7142,6 +7515,7 @@
 069b  Thomson, Inc.
 	0704  DCM245 Cable Modem
 	0705  THG540K Cable Modem
+	0709  Lyra PDP2424
 	070c  MP3 Player
 	070d  MP3 Player
 	070e  MP3 Player
@@ -7193,9 +7567,14 @@
 	075c  X52 Flight Controller
 	0762  Saitek X52 Pro Flight Control System
 	0763  Pro Flight Rudder Pedals
+	0764  Flight Pro Combat Rudder
 	0805  R440 Force Wheel
+	0b4e  Pro Flight Backlit Information Panel
 	0bac  Pro Flight Yoke
 	0c2d  Pro Flight Quadrant
+	0d05  Pro Flight Radio Panel
+	0d06  Flight Pro Multi Panel
+	0d67  Pro Flight Switch Panel
 	1003  GM2 Action Pad
 	1009  Action Pad
 	100a  SP550 Pad and Joystick Combo
@@ -7218,6 +7597,7 @@
 	806f  P2000 Tilt Pad
 	80c0  Pro Gamer Command Unit
 	80c1  Cyborg Command Pad Unit
+	a2ae  Pro Flight Instrument Panel
 	a502  Gaming Mouse
 	f518  P3200 Rumble Force Game Pad
 	ff04  R440 Force Wheel
@@ -7260,6 +7640,7 @@
 06bb  EDA, Inc.
 06bc  Oki Data Corp.
 	000b  Okipage 14ex Printer
+	0027  Okipage 14e
 	0a91  B2500MFP (printer+scanner)
 	3801  B6100 Laser Printer
 06bd  AGFA-Gevaert NV
@@ -7545,6 +7926,7 @@
 	3004  Hercules Classic Silver
 	3005  Hercules Dualpix Exchange
 	3007  Hercules Dualpix Chat and Show
+	3020  Hercules Webcam EC300
 	a300  Dual Analog Leader GamePad
 	b000  Hercules DJ Console
 	c000  Hercules Muse Pocket
@@ -7617,7 +7999,11 @@
 	0067  Flash Drive
 	0068  Flash Drive
 	0084  Flash Drive Mini
+	043c  Flash drive 16GB [Nano Pro]
 	0582  Revo Flash Drive
+	0622  TDK Trans-It 4GB
+	0624  TDK Trans-It 16GB
+	1120  RDX External dock (redbud)
 	d000  Disc Stakka CD/DVD Manager
 0719  Tremon Enterprises Co., Ltd
 071b  Domain Technologies, Inc.
@@ -7803,6 +8189,7 @@
 	5001  Huey PRO Colorimeter
 	d094  X-Rite DTP94 [Quato Silver Haze Pro]
 0766  Jess-Link Products Co., Ltd
+	001b  Packard Bell Go
 	0204  TopSpeed Cyberlink Remote Control
 0767  Tokheim Corp.
 0768  Camtel Technology Corp.
@@ -7886,12 +8273,15 @@
 	5150  SDCZ2 Cruzer Mini Flash Drive (thin)
 	5151  Cruzer Micro Flash Drive
 	5153  Cruzer Flash Drive
+	5204  Cruzer Crossfire
 	5402  U3 Cruzer Micro
 	5406  Cruzer Micro U3
 	5408  Cruzer Titanium U3
 	540e  Cruzer Contour Flash Drive
 	5530  Cruzer
 	5567  Cruzer Blade
+	5571  Cruzer Fit
+	5580  SDCZ80 Flash Drive
 	5e10  Encrypted
 	6100  Ultra II SD Plus 2GB
 	7100  Cruzer Mini
@@ -7947,6 +8337,7 @@
 	9797  ImageMate MS-PRO
 	9919  Card Reader
 	9999  SDDR-99 5-in-1 Reader
+	a7c1  Storage device (SD card reader)
 	a7e8  SDDR-113 MicroMate SDHC Reader
 	b2b3  SDDR-103 MobileMate SD+ Reader
 	b4b5  SDDR-89 V4 ImageMate 12-in-1 Reader
@@ -8124,7 +8515,8 @@
 	0413  OpticSlim 1200 Scanner
 	0601  OpticPro ST24 Scanner
 	0800  OpticPro ST48 Scanner
-	0906  OpticBook 3600 Scanner
+	0900  OpticBook 3600 Scanner
+	090c  OpticBook 3600 Plus Scanner
 	0a06  TVcam VD100
 	0b00  SmartPhoto F50
 	0c03  OpticPro ST64+ Scanner
@@ -8132,6 +8524,9 @@
 	0c0c  PL806 Scanner
 	0c26  OpticBook 4600 Scanner
 	0c2b  Mobile Office D428 Scanner
+	0e08  Plustek OpticBook A300 Scanner
+	1300  OpticBook 3800 Scanner
+	1301  OpticBook 4800 Scanner
 07b4  Olympus Optical Co., Ltd
 	0100  Camedia C-2100/C-3000 Ultra Zoom Camera
 	0102  Camedia E-10/C-220/C-50 Camera
@@ -8141,7 +8536,7 @@
 	0112  MAUSB-100 xD Card Reader
 	0113  Mju 500
 	0114  C-350Z Camera
-	0118  Digital Camera
+	0118  Mju Mini Digital/Mju Digital 500 Camera / Stylus 850 SW
 	0184  P-S100 port
 	0203  Digital Voice Recorder DW-90
 	0206  Digital Voice Recorder DS-330
@@ -8254,6 +8649,7 @@
 	b006  USB to PCMCIA
 	b00a  USB to CF+SD Drive(LC1)
 	b00b  USB to Memory Stick(LC1)
+	c010  Kingston FCR-HS2/ATA Card Reader
 07c5  APG Cash Drawer
 07c6  ShareWave, Inc.
 	0002  Bodega Wireless Access Point
@@ -8270,11 +8666,13 @@
 	0837  H837 Hybrid ATSC/QAM
 	1228  MPEG-2 Capture Device (M038)
 	1830  AVerTV Volar Video Capture (H830)
+	3835  AVerTV Volar Green HD (A835B)
 	850a  AverTV Volar Black HD (A850)
 	850b  AverTV Red HD+ (A850T)
 	a309  AVerTV DVB-T (A309)
 	a801  AVerTV DVB-T (A800)
 	a815  AVerTV DVB-T Volar X (A815)
+	a827  AVerTV Hybrid Volar HX (A827)
 	a867  AVerTV DVB-T (A867)
 	b800  MR800 FM Radio
 	e880  MPEG-2 Capture Device (E880)
@@ -8347,7 +8745,9 @@
 	1004  Exilim EX-Z120
 	1011  USB-CASIO PC CAMERA
 	1116  EXILIM EX-Z19
+	1125  Exilim EX-H10 Digital Camera (mass storage mode)
 	1133  Exilim EX-Z350 Digital Camera (mass storage mode)
+	1225  Exilim EX-H10 Digital Camera (PictBridge mode)
 	1233  Exilim EX-Z350 Digital Camera (PictBridge mode)
 	2002  E-125 Cassiopeia Pocket PC
 	3801  WMP-1 MP3-Watch
@@ -8497,6 +8897,7 @@
 0810  Personal Communication Systems, Inc.
 	0001  Dual PSX Adaptor
 	0002  Dual PCS Adaptor
+	0003  PlayStation Gamepad
 0813  Mattel, Inc.
 	0001  Intel Play QX3 Microscope
 	0002  Dual Mode Camera Plus
@@ -8575,6 +8976,8 @@
 	012e  KeikaiDenwa 8 with charger
 	039f  KeikaiDenwa 8
 0835  Action Star Enterprise Co., Ltd
+0836  TrekStor
+	2836  i.Beat mood
 0839  Samsung Techwin Co., Ltd
 	0005  Digimax Camera
 	0008  Digimax 230 Camera
@@ -8647,7 +9050,6 @@
 	4220  WG111(v1) 54 Mbps Wireless [Intersil ISL3886]
 	4230  MA111(v2) 802.11b Wireless [SIS SIS 162]
 	4240  WG111(v1) rev 2 54 Mbps Wireless [Intersil ISL3887]
-	4250  WG111T 802.11g Wireless Adapter [Atheros AR5523]
 	4260  WG111v3 54 Mbps Wireless [realtek RTL8187B]
 	4300  WG111U Double 108 Mbps Wireless [Atheros AR5004X / AR5005UX]
 	4301  WG111U (no firmware) Double 108 Mbps Wireless [Atheros AR5004X / AR5005UX]
@@ -8782,13 +9184,15 @@
 087d  Jaton Corp.
 	5704  Ethernet
 087e  Fujitsu Computer Products of America
-087f  Virtual IP Group, Inc.
+087f  QualCore Logic Inc.
 0880  APT Technologies, Inc.
 0883  Recording Industry Association of America (RIAA)
 0885  Boca Research, Inc.
 0886  XAC Automation Corp.
 	0630  Intel PC Camera CS630
 0887  Hannstar Electronics Corp.
+088a  TechTools
+	1002  DigiView DV3100
 088b  MassWorks, Inc.
 	4944  MassWorks ID-75 TouchScreen
 088c  Swecoin AB
@@ -8804,7 +9208,16 @@
 089e  NST Co., Ltd
 089f  Primex Aerospace Co.
 08a5  e9, Inc.
+08a6  Toshiba TEC
+	0051  B-SV4
 08a8  Andrea Electronics
+08a9  CWAV Inc.
+	0005  USBee ZX
+	0009  USBee SX
+	0012  USBee AX-Standard
+	0013  USBee AX-Plus
+	0014  USBee AX-Pro
+	0015  USBee DX
 08ae  Macally (Mace Group, Inc.)
 08b4  Sorenson Vision, Inc.
 08b7  NATSU
@@ -8812,8 +9225,10 @@
 08b8  J. Gordon Electronic Design, Inc.
 	01f4  USBSIMM1
 08b9  RadioShack Corp. (Tandy)
-08bb  Texas Instruments Japan
+08bb  Texas Instruments
 	2702  Speakers
+	2704  Audio Codec
+	2706  PCM2706 Audio Codec
 	2900  PCM2900 Audio Codec
 	2901  PCM2901 Audio Codec
 	2902  PCM2902 Audio Codec
@@ -8931,6 +9346,7 @@
 	3437  GemPC Twin SmartCard Reader
 	3438  GemPC Key SmartCard Reader
 	3478  PinPad Smart Card Reader
+	34ec  Compact Smart Card Reader Writer
 	4433  GemPC433-Swap
 	5501  GemProx-PU Contactless Smart Card Reader
 	ace0  UA HYBRID TOKEN
@@ -8955,7 +9371,7 @@
 	0014  TravelDrive 2C
 	0015  Kingston DataTraveler ELITE
 	0016  Kingston DataTraveler U3
-	0020  TravelDrive
+	0020  TravelDrive Intuix U3 2GB
 	0021  TravelDrive
 	0022  TravelDrive
 	0023  TravelDrive
@@ -9100,7 +9516,7 @@
 	0373  Silicon Motion Camera
 	037a  Silicon Motion Camera
 	037b  Silicon Motion Camera
-	1000  64MB QDI U2 DISK
+	1000  Flash Drive
 	1132  5-in-1 Card Reader
 	337b  Silicon Motion Camera
 	3710  Silicon Motion Camera
@@ -9109,6 +9525,7 @@
 	37c0  Silicon Motion Camera
 	6000  SD/SDHC Card Reader (SG365 / FlexiDrive XC+)
 	6200  microSD card reader
+	71b3  SM731 Camera
 	837b  Silicon Motion Camera
 	937b  Silicon Motion Camera
 	b370  Silicon Motion SM370 Camera
@@ -9160,12 +9577,18 @@
 	0200  Data Card Programmer (install)
 	1200  Data Card Programmer
 	21a5  etrex Cx (msc)
+	2236  nuvi 360
 	2271  Edge 605/705
 	2295  Colorado 300
 	22b6  eTrex Vista HCx (Mass Storage mode)
+	231b  Oregon 400t
 	2353  Nüvi 205T
+	2380  Oregon series
+	23cc  nüvi 1350
+	2459  GPSmap 62/78 series
 	2519  eTrex 30
 	2535  Edge 800
+	255b  Nuvi 2505LM
 0920  Echelon Co.
 	7500  Network Interface
 0921  GoHubs, Inc.
@@ -9184,16 +9607,19 @@
 	420f  WorkCentre PE220 Series
 	421f  M20 Scanner
 	423b  Printing Support
+	4274  Xerox Phaser 3635MFPX
 	ffef  WorkCenter M15
 	fffb  DocuPrint M750 (X750_USB)
 0925  Lakeview Research
 	0005  Gamtec.,Ltd SmartJoy PLUS Adapter
+	3881  Saleae Logic
 	8101  Phidgets, Inc., 1-Motor PhidgetServo v2.0
 	8104  Phidgets, Inc., 4-Motor PhidgetServo v2.0
 	8800  WiseGroup Ltd, MP-8800 Quad Joypad
 	8866  WiseGroup Ltd, MP-8866 Dual Joypad
 0927  Summus, Ltd
-0928  Oxford Semiconductor, Ltd
+0928  PLX Technology, Inc. (formerly Oxford Semiconductor, Ltd)
+	8000  Firmware uploader
 0929  American Biometric Co.
 092a  Toshiba Information & Industrial Sys. And Services
 092b  Sena Technologies, Inc.
@@ -9288,7 +9714,7 @@
 	1112  Veo Web Camera
 	a311  Video Enhancement Device
 0933  Quantum Corp.
-0934  Netcom Systems
+0934  Spirent Communications
 0936  NuTesla
 	0030  Composite Device, Mass Storage Device (Flash Drive) amd HID
 	003c  Rhythmedics HID Bootloader
@@ -9366,23 +9792,36 @@
 	1603  DataTraveler 1GB/2GB Pen Drive
 	1606  Eee PC 701 SD Card Reader [ENE UB6225]
 	1607  DataTraveler 100
+	160d  DataTraveler Vault Privacy
 	1613  DataTraveler DT101C Flash Drive
 	1616  DataTraveler Locker 4GB
-	1624  DataTraveler G2 4GB Pen Drive
+	1621  DataTraveler 150 (32GB)
+	1624  DataTraveler G2
 	1625  DataTraveler 101 II
 	162a  DataTraveler 112 4GB Pen Drive
+	162d  DataTraveler 102
+	1630  DataTraveler 200 (32GB)
 	1642  DT101 G2
-	1643  DataTraveler G3 4GB
+	1643  DataTraveler G3
 	1653  Data Traveler 100 G2 8 GiB
+	1656  DataTraveler Ultimate G2
+	1689  DataTraveler SE9
+	168a  DataTraveler Micro
+	168c  DT Elite 3.0
 0954  RPM Systems Corp.
 0955  NVidia Corp.
+	7030  Tegra 3 (recovery mode)
 	7100  Notion Ink Adam
+	b400  SHIELD (debug)
+	b401  SHIELD
 0956  BSquare Corp.
 0957  Agilent Technologies, Inc.
 	0200  E-Video DC-350 Camera
 	0202  E-Video DC-350 Camera
 	0518  82357B GPIB Interface
+	0a07  34411A Multimeter
 	1745  Test and Measurement Device (IVI)
+	2918  U2702A oscilloscope
 0958  CompuLink Research, Inc.
 0959  Cologne Chip AG
 	2bd0  Intelligent ISDN (Ver. 3.60.04)
@@ -9396,7 +9835,9 @@
 	0204  WarpLink 802.11b Adapter
 0968  Catalyst Enterprises, Inc.
 096e  Feitian Technologies, Inc.
+	0120  Microcosm Ltd Dinkey
 	0802  ePass2000 (G&D STARCOS SPK 2.4)
+	0807  ePass2003
 0971  Gretag-Macbeth AG
 	2003  Eye-One display
 	2005  Huey
@@ -9422,6 +9863,7 @@
 097f  Barun Electronics Co., Ltd
 0981  Oak Technology, Ltd
 0984  Apricorn
+	0040  SATA Wire (2.5")
 	0200  Hard Drive Storage (TPP)
 0985  cab Produkttechnik GmbH & Co KG
 	0045  Mach4/200 Label Printer
